Debian Bug report logs - #395573
ITP: visit -- interactive parallel visualization and graphical analysis tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Francesco Poli <invernomuto@paranoici.org>

Date: Fri, 27 Oct 2006 20:48:13 UTC

Owned by: mckinstry@debian.org

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: visit -- interactive parallel visualization and graphical analysis tool
Date: Fri, 27 Oct 2006 22:43:35 +0200
Package: wnpp
Severity: wishlist

* Package name    : visit
  Version         : 1.5.4.060918
  Upstream Author : Lawrence Livermore National Laboratory - University of California
* URL             : http://www.llnl.gov/visit/
* License         : 3-clause BSD license with additional disclaimers (http://www.llnl.gov/visit/license.html)
  Description     : interactive parallel visualization and graphical analysis tool

VisIt is a free interactive parallel visualization and graphical
analysis tool for viewing scientific data.  Users can quickly generate
visualizations from their data, animate them through time, manipulate
them, and save the resulting images for presentations.  VisIt contains
a rich set of visualization features so that you can view your data in
a variety of ways.  It can be used to visualize scalar and vector
fields defined on two- and three-dimensional (2D and 3D) structured and
unstructured meshes.
VisIt was designed to handle very large data set sizes in the terascale
range and yet can also handle small data sets in the kilobyte range.

Supported input data formats:

 * ANALYZE
 * ANSYS
 * BOV (brick of values)
 * Boxlib
 * CGNS
 * Curve2D
 * Ensight Gold
 * Enzo
 * Exodus
 * FITS
 * FLASH
 * FLUENT
 * FVCOM
 * GIS
 * Image
 * NASTRAN
 * NetCDF
 * OpenFOAM
 * PATRAN
 * PLOT3D
 * Protein Databank
 * SAMRAI
 * Silo
 * Spheral
 * STL
 * TecPlot
 * Vis5D
 * VTK
 * Wavefront OBJ
 * Xmdv
 * ZeusMP (HDF4)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Subject: URL for debian-legal thread
Date: Sat, 18 Nov 2006 00:12:02 +0100
[Message part 1 (text/plain, inline)]
Please note that I've already asked debian-legal to confirm that
the license is suitable for a package in main.

The thread starts at:
http://lists.debian.org/debian-legal/2006/10/msg00209.html

So far there have been no objections...  :-)


-- 
But it is also tradition that times *must* and always
do change, my friend.   -- from _Coming to America_
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Debian Science <debian-science@lists.debian.org>
Cc: 395573@bugs.debian.org
Subject: VisIt: interactive parallel visualization and graphical analysis tool
Date: Fri, 5 Oct 2007 21:54:29 +0200
[Message part 1 (text/plain, inline)]
Hi all,

is anyone interested in packaging VisIt for Debian?
Please see RFP bug #395573 [1] (which I'm Cc:ing).

To get an idea of what this visualization tool is capable of, you
could take a look at its gallery [2].
I think the images are quite impressive and speak for themselves.

[1] http://bugs.debian.org/395573
[2] http://www.llnl.gov/visit/gallery.html


Please Cc: me *and* the bug on replies, thanks.


-- 
 http://frx.netsons.org/doc/nanodocs/testing_workstation_install.html
 Need to read a Debian testing installation walk-through?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 395573@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: frx@firenze.linux.it, 395573@bugs.debian.org
Subject: Re: [frx@firenze.linux.it: VisIt: interactive parallel visualization and graphical analysis tool]
Date: Sat, 6 Oct 2007 23:26:44 +0200 (CEST)
On Sat, 6 Oct 2007, Charles Plessy wrote:

> is anyone interested in packaging VisIt for Debian?
> Please see RFP bug #395573 [1] (which I'm Cc:ing).

Sounds great.  Added it to the WML page of Debian-Med imaging todo list.

> Please Cc: me *and* the bug on replies, thanks.

Many thanks for the hint

         Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-med@lists.debian.org
Cc: 395573@bugs.debian.org
Subject: Re: [frx@firenze.linux.it: VisIt: interactive parallel visualization and graphical analysis tool]
Date: Sun, 7 Oct 2007 12:20:06 +0200
[Message part 1 (text/plain, inline)]
On Sat, 6 Oct 2007 23:26:44 +0200 (CEST) Andreas Tille wrote:

> On Sat, 6 Oct 2007, Charles Plessy wrote:
> 
> > is anyone interested in packaging VisIt for Debian?
> > Please see RFP bug #395573 [1] (which I'm Cc:ing).
> 
> Sounds great.  Added it to the WML page of Debian-Med imaging todo
> list.

Good!
Let's hope that some DD pops up soon volunteering to package VisIt
(mmmh, what about... you?!?  ;-)

[...]
> Many thanks for the hint

Well, you're welcome, but thanks to you all for your work to improve
Debian!


P.S.: I am not a debian-med list subscriber, hence please Cc: me *and*
the bug on replies, thanks.

-- 
 http://frx.netsons.org/doc/nanodocs/testing_workstation_install.html
 Need to read a Debian testing installation walk-through?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Subject: Build-dependencies
Date: Mon, 8 Oct 2007 22:46:00 +0200
[Message part 1 (text/plain, inline)]
For anyone interested in packaging VisIt

  [  raise your hands, one at a time, please!  ;-)  ]

I gave a look at <http://www.llnl.gov/visit/source.html> and
and at <http://www.llnl.gov/visit/1.6.1/BUILD_NOTES>

It seems to me that VisIt has the following mandatory
build-dependencies:

 * Mesa 5.0       http://packages.debian.org/libgl1-mesa-dev
 * Mesa 6.4.2     http://packages.debian.org/libgl1-mesa-dev
 * Python 2.5     http://packages.debian.org/python
 * Qt X11 3.3.2   http://packages.debian.org/libqt4-dev
 * Qt X11 3.3.8   http://packages.debian.org/libqt4-dev
 * Silo060605     not in Debian?
 * VTK 5.0.0c     http://packages.debian.org/libvtk5-dev

Moreover, it seems to have some optional build-dependencies (libraries
that may be linked or else left out, IIUC):

 * Boxlib 2.5     not in Debian?
 * CFITSIO 3006   http://packages.debian.org/libcfitsio3-dev
 * CGNS 2.4-3     not in Debian?
 * ExodusII 4.46  not in Debian?
 * GDAL 1.3.2     http://packages.debian.org/libgdal1-dev
 * H5Part 1.3.3   not in Debian?
 * HDF4 2.4.1     http://packages.debian.org/libhdf4g-dev
 * HDF5 1.6.5     http://packages.debian.org/libhdf5-{serial|lam|mpich}-dev
 * NetCDF 3.6.0   http://packages.debian.org/netcdfg-dev


I thought I should share these findings...

-- 
 http://frx.netsons.org/doc/nanodocs/testing_workstation_install.html
 Need to read a Debian testing installation walk-through?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Wed, 08 Oct 2008 18:03:08 GMT) Full text and rfc822 format available.

Notification sent to Francesco Poli <frx@firenze.linux.it>:
Bug acknowledged by developer. (Wed, 08 Oct 2008 18:03:08 GMT) Full text and rfc822 format available.

Message #35 received at 395573-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 395573-done@bugs.debian.org
Subject: WNPP bug closing
Date: Wed, 08 Oct 2008 11:59:43 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 395573
 stop

Further comments on the work done in the bug sent to
395573@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Wed, 08 Oct 2008 19:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 08 Oct 2008 19:30:02 GMT) Full text and rfc822 format available.

Message #40 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#395573 closed by David Moreno Garza <damog@merkel.debian.org> (WNPP bug closing)
Date: Wed, 8 Oct 2008 21:28:58 +0200
[Message part 1 (text/plain, inline)]
reopen 395573
stop

I am still interested in seeing this piece of software included in
Debian.
I hope that someone will soon be willing to package it...


-- 
 http://frx.netsons.org/doc/index.html#nanodocs
 The nano-document series is here!
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Wed, 08 Oct 2008 19:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Sat, 11 Oct 2008 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre.ledru@inria.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 11 Oct 2008 16:51:05 GMT) Full text and rfc822 format available.

Message #47 received at 395573@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre.ledru@inria.fr>
To: control@bugs.debian.org
Cc: 395573@bugs.debian.org
Subject: Dep
Date: Sat, 11 Oct 2008 18:46:47 +0200
block 395573 by 501924
thanks

Hi,

I am currently working on the packaging of cgns which is reported as being one of the dep of visit.
It is available on debian-science:
http://svn.debian.org/viewsvn/debian-science/packages/libcgns/trunk/

Sylvestre







Blocking bugs of 395573 added: 501924 Request was from Sylvestre Ledru <sylvestre.ledru@inria.fr> to control@bugs.debian.org. (Sat, 11 Oct 2008 16:51:06 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 24 Mar 2009 11:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Wed, 15 Apr 2009 14:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@ichec.ie>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 15 Apr 2009 14:48:02 GMT) Full text and rfc822 format available.

Message #56 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@ichec.ie>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 395573@bugs.debian.org
Subject: VISIT in Debian
Date: Wed, 15 Apr 2009 15:44:24 +0100
Hi,

You submitted an RFP for VISit in Debian.
Have you done any work on this? we use VISit at work, and I would like  
to package it for Debian-Meteorology.

Regards
Alastair McKinstry


-- 
Alastair McKinstry , <alastair.mckinstry@ichec.ie>







Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Wed, 15 Apr 2009 18:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 15 Apr 2009 18:36:02 GMT) Full text and rfc822 format available.

Message #61 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <alastair.mckinstry@ichec.ie>
Cc: 395573@bugs.debian.org
Subject: Re: VISIT in Debian
Date: Wed, 15 Apr 2009 20:32:29 +0200
[Message part 1 (text/plain, inline)]
On Wed, 15 Apr 2009 15:44:24 +0100 Alastair McKinstry wrote:

> Hi,

Hi there!  :)

> 
> You submitted an RFP for VISit in Debian.
> Have you done any work on this?

Not really, I have little packaging experience and I do not (yet) feel
to be ready for debianizing VISit.

> we use VISit at work, and I would like  
> to package it for Debian-Meteorology.

I would be *really* happy to see it packaged and included in Debian!
Thank you very much for volunteering to do this job!  :-)

Feel free to convert this RFP into an ITP, if you like.

Bye and thanks again.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `mckinstry@debian.org'. Request was from Alastair McKinstry <alastair@sceal.ie> to control@bugs.debian.org. (Thu, 16 Apr 2009 11:09:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `mckinstry@debian.org' to `wnpp'. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Thu, 16 Apr 2009 17:00:08 GMT) Full text and rfc822 format available.

Owner recorded as mckinstry@debian.org. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Thu, 16 Apr 2009 17:00:09 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: visit -- interactive parallel visualization and graphical analysis tool' from `RFP: visit -- interactive parallel visualization and graphical analysis tool'. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Thu, 16 Apr 2009 17:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Wed, 08 Jul 2009 21:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Wed, 08 Jul 2009 21:12:08 GMT) Full text and rfc822 format available.

Message #74 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: Alastair McKinstry <mckinstry@debian.org>
Subject: Any progress on VisIt packaging?
Date: Wed, 8 Jul 2009 23:09:18 +0200
[Message part 1 (text/plain, inline)]
Hi!

How's the packaging of VisIt going?
Is there any progress?

Have you already packaged (or helped others packaging) the missing
dependencies?

Please let me know.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Fri, 11 Sep 2009 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Fri, 11 Sep 2009 22:12:03 GMT) Full text and rfc822 format available.

Message #79 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: Alastair McKinstry <mckinstry@debian.org>
Subject: Re: Any progress on VisIt packaging?
Date: Fri, 11 Sep 2009 23:54:45 +0200
[Message part 1 (text/plain, inline)]
On Wed, 8 Jul 2009 23:09:18 +0200 Francesco Poli wrote:

> Hi!
> 
> How's the packaging of VisIt going?
> Is there any progress?
> 
> Have you already packaged (or helped others packaging) the missing
> dependencies?
> 
> Please let me know.

Again, any news?


-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Tue, 15 Sep 2009 00:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Tue, 15 Sep 2009 00:21:07 GMT) Full text and rfc822 format available.

Message #84 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: Francesco Poli <frx@firenze.linux.it>, 395573@bugs.debian.org
Subject: Re: Bug#395573: Any progress on VisIt packaging?
Date: Mon, 14 Sep 2009 21:16:23 +0100
[Message part 1 (text/plain, inline)]
Hi,

Sorry about the delay in responding. I've been busy packaging various  
dependencies
(of other packages, not just visit).

Currently I've two issues:
(1) packaging the SILO library needed by VISIT. See
  ftp://ftp.llnl.gov/pub/visit/3rd_party/silo060605.sh
(2) Visit appears to need VTK 5.0.0c, while 5.2 is in Debian unstable.

I'm working on this now and hope to have it done over the next two  
eeeks.

Regards
Alastair

On 11 Sep 2009, at 22:54, Francesco Poli wrote:

> On Wed, 8 Jul 2009 23:09:18 +0200 Francesco Poli wrote:
>
>> Hi!
>>
>> How's the packaging of VisIt going?
>> Is there any progress?
>>
>> Have you already packaged (or helped others packaging) the missing
>> dependencies?
>>
>> Please let me know.
>
> Again, any news?
>
>
> -- 
> New location for my website! Update your bookmarks!
> http://www.inventati.org/frx
> ..................................................... Francesco Poli .
> GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Tue, 15 Sep 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Tue, 15 Sep 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #89 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Subject: Re: Bug#395573: Any progress on VisIt packaging?
Date: Tue, 15 Sep 2009 19:50:02 +0200
[Message part 1 (text/plain, inline)]
On Mon, 14 Sep 2009 21:16:23 +0100 Alastair McKinstry wrote:

> Hi,
> 
> Sorry about the delay in responding. I've been busy packaging various  
> dependencies
> (of other packages, not just visit).

That's OK, I was just worried that you could not receive mail...

> 
> Currently I've two issues:
> (1) packaging the SILO library needed by VISIT. See
>    ftp://ftp.llnl.gov/pub/visit/3rd_party/silo060605.sh

Yeah, that's the only mandatory dependency that's currently missing
from Debian, AFAIK.

As an aside, please note that, among the optional dependencies, libcgns
is now included in Debian: see bug #501924 and
http://packages.debian.org/libcgns

> (2) Visit appears to need VTK 5.0.0c, while 5.2 is in Debian unstable.

Definitely, and 5.4.x is on the way: see bugs #509296 and #531989.
I think that everything possible to make VisIt work with VTK 5.2.x
(and then 5.4.x) should be done.
I don't know whether upstream is willing to help with this task: I hope
so, since they are more and more out of date with VTK versions...

> 
> I'm working on this now and hope to have it done over the next two  
> eeeks.

Wonderful!
I am really looking forward to see an upload to unstable (or even a
temporary test package).

Thanks for the update and please keep up with the good work!  ;-)


-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sat, 24 Oct 2009 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Sat, 24 Oct 2009 12:57:03 GMT) Full text and rfc822 format available.

Message #94 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: 395573@bugs.debian.org
Cc: Francesco Poli <frx@firenze.linux.it>
Subject: Visit: License Problems with SILO
Date: Sat, 24 Oct 2009 13:20:57 +0100
Hi,

I've been looking at packaging SILO, a mandatory dependency of VisIt.
Unfortunately, it contains the following license clause:

	Commercialization of this product is prohibited without notifying the
	Department of Energy (DOE) or Lawrence Livermore National Laboratory  
(LLNL).

AFAIK, this is a show-stopper for packaging VisIT.  We could write to  
LLNL and see if they
are willing to relinquish this, but since I started this ITP, Paraview  
has been packaged for
Debian, and it does my visualisation needs, so I am no longer  
packaging visit.

Sorry about this,
Alastair



-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite  
world
is either a madman or an economist - Kenneth Boulter, Economist.








Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sat, 31 Oct 2009 22:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Sat, 31 Oct 2009 22:48:04 GMT) Full text and rfc822 format available.

Message #99 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Cc: 395573@bugs.debian.org, control@bugs.debian.org
Subject: Re: Visit: License Problems with SILO
Date: Sat, 31 Oct 2009 23:34:31 +0100
[Message part 1 (text/plain, inline)]
retitle 395573 RFP: visit -- interactive parallel visualization and
graphical analysis tool noowner 395573
thanks


On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:

> Hi,

Hi!

> 
> I've been looking at packaging SILO, a mandatory dependency of VisIt.
> Unfortunately, it contains the following license clause:
> 
> 	Commercialization of this product is prohibited without notifying the
> 	Department of Energy (DOE) or Lawrence Livermore National Laboratory  
> (LLNL).

Arrgh!  It looks like it really include this clause!!!

This seems to be very awkward: a Free Software application (VisIt)
which links with a non-free library (Silo) by the same authors!
:-(

> 
> AFAIK, this is a show-stopper for packaging VisIT.  We could write to  
> LLNL and see if they
> are willing to relinquish this,

I think this should definitely be done.

> but since I started this ITP, Paraview has been packaged for
> Debian, and it does my visualisation needs, so I am no longer  
> packaging visit.
> 
> Sorry about this,

I am not especially enthusiast of Paraview, which ships with its own
internal copy of VTK (see bug #495426) and hence does not automatically
benefit of any fix or enhancement is applied to the Debian vtk
package...

Anyway, if Paraview satisfies you, nobody forces you to package VisIt,
of course.
It's a pity that we found out this after so long time since you turned
this RFP into an ITP...  :-(

The commands at the beginning of this message should convert this ITP
back into an RFP.

Bye.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'RFP: visit -- interactive parallel visualization and' from 'ITP: visit -- interactive parallel visualization and graphical analysis tool' Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Sat, 31 Oct 2009 22:48:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sun, 01 Nov 2009 00:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Sun, 01 Nov 2009 00:00:09 GMT) Full text and rfc822 format available.

Message #106 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Subject: Re: Visit: License Problems with SILO
Date: Sun, 1 Nov 2009 00:49:31 +0100
[Message part 1 (text/plain, inline)]
On Sat, 31 Oct 2009 23:34:31 +0100 Francesco Poli wrote:

[...]
> On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:
[...]
> > I've been looking at packaging SILO, a mandatory dependency of VisIt.
> > Unfortunately, it contains the following license clause:
> > 
> > 	Commercialization of this product is prohibited without notifying the
> > 	Department of Energy (DOE) or Lawrence Livermore National Laboratory  
> > (LLNL).
> 
> Arrgh!  It looks like it really include this clause!!!

Mmmh, the situation seems to be even worse: from a quick look, I cannot
find any grant of permission in the Silo tar archive: this would imply
that Silo is legally undistributable by anyone other than its copyright
holders...    :-(


-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'RFP: visit -- interactive parallel visualization and graphical analysis tool' from 'RFP: visit -- interactive parallel visualization and' Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Sun, 01 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by mckinstry@debian.org. Request was from Francesco Poli <frx@firenze.linux.it> to control@bugs.debian.org. (Sun, 01 Nov 2009 00:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Wed, 04 Nov 2009 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 04 Nov 2009 17:42:09 GMT) Full text and rfc822 format available.

Message #115 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: VisIt software users community <visit-users@email.ornl.gov>
Cc: "Francesco P. Lovergine" <frankie@debian.org>, 395573@bugs.debian.org
Subject: Re: [visit-users] SILO licensing
Date: Wed, 4 Nov 2009 16:51:31 +0000
Hi,

In the BUILD_NOTES for visit 1.12.0, it says:


> VisIt relies on several external libraries which must be built and  
> installed
> prior to building VisIt.  This document provides detailed step by step
> instructions for building VisIt and each of the dependent  
> libraries.  The
> instructions have been designed so that you can cut and paste most  
> of the
> commands needed to build the libraries and VisIt from this file into  
> your
> shell prompt.
>
>
>    Library  Version   Description            For More Information
>    =======  =======   ===========            ====================
>    Mesa     5.0       3-D Graphics Library   http://www.mesa3d.org/
>    Python   2.5       Scripting Language     http://www.python.org
>    Qt       3.3.2     GUI Toolkit            http://www.trolltech.com
>    Silo     4.5.1     File I/O library       http://silo.llnl.gov
>    VTK      5.0.0c    Visualization Toolkit  http://www.kitware.com


It then goes on to list the optional readers. This made it seem
like a compulsory element.

I'm glad to hear it is no longer necessary, and can continue to build  
VisIt for Debian.

Thanks
Alastair

On 4 Nov 2009, at 15:30, Mark Miller wrote:

> VisIt no longer has explicit dependency on Silo.
>
> No, there has been no progress on BSD License for Silo.
>
> Where did you see that Silo is STILL listed as a 'compulsory'  
> dependency
> for VisIt. I'd like to get that corrected.
>
> Mark
>
> On Wed, 2009-11-04 at 07:24, Alastair McKinstry wrote:
>> Hi,
>>
>> I am a prospective packager of VisIt for Debian. Unfortunately we ran
>> into the wall of
>> SILO licensing.
>>
>> In the email:
>> https://*email.ornl.gov/mailman/htdig/visit-users/2008-June/000310.html
>>
>> It was said that SILO was to be re-licensed under BSD. HAs there been
>> any progress on this issue ?
>>
>> Alternatively, can VisIt be built to work without SILO if necessary ?
>> From the webpages it is listed as
>> a compulsory dependency, but can the default database be changed ?
>>
>>
>> Regards,
>> Alastair
>>
>> -- 
>> Alastair McKinstry, <mckinstry@debian.org>      http://*blog.sceal.ie
>>
>> Anyone who believes exponential growth can go on forever in a finite
>> world
>> is either a madman or an economist - Kenneth Boulter, Economist.
>>
>>
>>
>>
>>
>> ______________________________________________________________________
>> --
>> List subscription information: https://*email.ornl.gov/mailman/listinfo/visit-users
>> Searchable list archives: https://*email.ornl.gov/pipermail/visit-users
>> VisIt Users Wiki: http://*visitusers.org/
>> Frequently Asked Questions for VisIt: http://*visit.llnl.gov/FAQ.html
> -- 
> Mark C. Miller, Lawrence Livermore National Laboratory
> email: mailto:miller86@llnl.gov
> (M/T/W) (925)-423-5901 (!!LLNL BUSINESS ONLY!!)
> (Th/F)  (530)-753-8511 (!!LLNL BUSINESS ONLY!!)
>
> --
> List subscription information: https://email.ornl.gov/mailman/listinfo/visit-users
> Searchable list archives: https://email.ornl.gov/pipermail/visit-users
> VisIt Users Wiki: http://visitusers.org/
> Frequently Asked Questions for VisIt: http://visit.llnl.gov/FAQ.html
>



Regards,
Alastair

-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite  
world
is either a madman or an economist - Kenneth Boulter, Economist.




Regards,
Alastair

-- 
Alastair McKinstry, <mckinstry@debian.org>      http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite  
world
is either a madman or an economist - Kenneth Boulter, Economist.








Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Wed, 04 Nov 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Miller <miller86@llnl.gov>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 04 Nov 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #120 received at 395573@bugs.debian.org (full text, mbox):

From: Mark Miller <miller86@llnl.gov>
To: VisIt software users community <visit-users@email.ornl.gov>
Cc: 395573@bugs.debian.org, "Francesco P. Lovergine" <frankie@debian.org>
Subject: Re: [visit-users] SILO licensing
Date: Wed, 04 Nov 2009 08:58:46 -0800
Ok, thanks for this info. We'll correct the build notes.

Mark

On Wed, 2009-11-04 at 08:51, Alastair McKinstry wrote:
> Hi,
> 
> In the BUILD_NOTES for visit 1.12.0, it says:
> 
> 
> > VisIt relies on several external libraries which must be built and  
> > installed
> > prior to building VisIt.  This document provides detailed step by step
> > instructions for building VisIt and each of the dependent  
> > libraries.  The
> > instructions have been designed so that you can cut and paste most  
> > of the
> > commands needed to build the libraries and VisIt from this file into  
> > your
> > shell prompt.
> >
> >
> >    Library  Version   Description            For More Information
> >    =======  =======   ===========            ====================
> >    Mesa     5.0       3-D Graphics Library   http://*www.*mesa3d.org/
> >    Python   2.5       Scripting Language     http://*www.*python.org
> >    Qt       3.3.2     GUI Toolkit            http://*www.*trolltech.com
> >    Silo     4.5.1     File I/O library       http://*silo.llnl.gov
> >    VTK      5.0.0c    Visualization Toolkit  http://*www.*kitware.com
> 
> 
> It then goes on to list the optional readers. This made it seem
> like a compulsory element.
> 
> I'm glad to hear it is no longer necessary, and can continue to build  
> VisIt for Debian.
> 
> Thanks
> Alastair
> 
> On 4 Nov 2009, at 15:30, Mark Miller wrote:
> 
> > VisIt no longer has explicit dependency on Silo.
> >
> > No, there has been no progress on BSD License for Silo.
> >
> > Where did you see that Silo is STILL listed as a 'compulsory'  
> > dependency
> > for VisIt. I'd like to get that corrected.
> >
> > Mark
> >
> > On Wed, 2009-11-04 at 07:24, Alastair McKinstry wrote:
> >> Hi,
> >>
> >> I am a prospective packager of VisIt for Debian. Unfortunately we ran
> >> into the wall of
> >> SILO licensing.
> >>
> >> In the email:
> >> https://**email.ornl.gov/mailman/htdig/visit-users/2008-June/000310.html
> >>
> >> It was said that SILO was to be re-licensed under BSD. HAs there been
> >> any progress on this issue ?
> >>
> >> Alternatively, can VisIt be built to work without SILO if necessary ?
> >> From the webpages it is listed as
> >> a compulsory dependency, but can the default database be changed ?
> >>
> >>
> >> Regards,
> >> Alastair
> >>
> >> -- 
> >> Alastair McKinstry, <mckinstry@debian.org>      http://**blog.sceal.ie
> >>
> >> Anyone who believes exponential growth can go on forever in a finite
> >> world
> >> is either a madman or an economist - Kenneth Boulter, Economist.
> >>
> >>
> >>
> >>
> >>
> >> ______________________________________________________________________
> >> --
> >> List subscription information: https://**email.ornl.gov/mailman/listinfo/visit-users
> >> Searchable list archives: https://**email.ornl.gov/pipermail/visit-users
> >> VisIt Users Wiki: http://**visitusers.org/
> >> Frequently Asked Questions for VisIt: http://**visit.llnl.gov/FAQ.html
> > -- 
> > Mark C. Miller, Lawrence Livermore National Laboratory
> > email: mailto:miller86@llnl.gov
> > (M/T/W) (925)-423-5901 (!!LLNL BUSINESS ONLY!!)
> > (Th/F)  (530)-753-8511 (!!LLNL BUSINESS ONLY!!)
> >
> > --
> > List subscription information: https://*email.ornl.gov/mailman/listinfo/visit-users
> > Searchable list archives: https://*email.ornl.gov/pipermail/visit-users
> > VisIt Users Wiki: http://*visitusers.org/
> > Frequently Asked Questions for VisIt: http://*visit.llnl.gov/FAQ.html
> >
> 
> 
> 
> Regards,
> Alastair
> 
> -- 
> Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://*blog.sceal.ie
> 
> Anyone who believes exponential growth can go on forever in a finite  
> world
> is either a madman or an economist - Kenneth Boulter, Economist.
> 
> 
> 
> 
> Regards,
> Alastair
-- 
Mark C. Miller, Lawrence Livermore National Laboratory
email: mailto:miller86@llnl.gov
(M/T/W) (925)-423-5901 (!!LLNL BUSINESS ONLY!!)
(Th/F)  (530)-753-8511 (!!LLNL BUSINESS ONLY!!)





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Sat, 07 Nov 2009 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 07 Nov 2009 19:21:06 GMT) Full text and rfc822 format available.

Message #125 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Subject: Re: Visit: License Problems with SILO
Date: Sat, 7 Nov 2009 20:10:07 +0100
[Message part 1 (text/plain, inline)]
On Sat, 31 Oct 2009 23:34:31 +0100 Francesco Poli wrote:

[...]
> On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:
[...]
> > I've been looking at packaging SILO, a mandatory dependency of VisIt.
[...]
> This seems to be very awkward: a Free Software application (VisIt)
> which links with a non-free library (Silo) by the same authors!
> :-(
> 
> > 
> > AFAIK, this is a show-stopper for packaging VisIT.  We could write to  
> > LLNL and see if they
> > are willing to relinquish this,
> 
> I think this should definitely be done.

I got in touch with Silo's upstream.
They quickly replied in an encouraging manner.
First thing they told me is that Silo is no longer a mandatory
dependency for VisIt: they say it's been an *optional* dependency for
quite some time.

Alastair, did you try building VisIt without enabling the Silo plugin?

I think VisIt could be packaged for Debian (main) with the Silo plugin
disabled, while we wait for upstream to re-license Silo in a DFSG-free
manner...
Does it sound feasible?

> 
> > but since I started this ITP, Paraview has been packaged for
> > Debian, and it does my visualisation needs, so I am no longer  
> > packaging visit.
> > 
> > Sorry about this,

Alastair, does the above pieces of news change anything with respect to
your willingness to package VisIt?


Please let me know: thanks in advance.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Sat, 07 Nov 2009 19:36:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 07 Nov 2009 19:36:14 GMT) Full text and rfc822 format available.

Message #130 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 395573@bugs.debian.org, Alastair McKinstry <alastair.mckinstry@sceal.ie>
Subject: Re: Visit: License Problems with SILO
Date: Sat, 7 Nov 2009 19:18:39 +0000
Hi,

I contacted VisIt's upstream (via visit-users list) and found the same  
thing; they are
correcting the build notes that claim Silo is needed.

I hadn't tested it without Silo. I'm trying to build it now, but Visit  
1.12.0 needs
VTK 5.0.0c  : I tested against vtk 5.2 which is in Debian, and they're  
incompatible;
LLNL ship a VTK 5.0.0.c (with changes) tarball to build VisIt with; it  
doesn't build
on Debian, so back to working on the necessary fixes for visit 1.12.0  
with Debian's VTK.

(Some of these may be in the repo for visit ; they are currently  
working on visit 2.0
upstream, but I'm not sure it would be ready for Squeeze).

I need to resign up to ITP visit.

Regards
Alastair

On 7 Nov 2009, at 19:10, Francesco Poli wrote:

> On Sat, 31 Oct 2009 23:34:31 +0100 Francesco Poli wrote:
>
> [...]
>> On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:
> [...]
>>> I've been looking at packaging SILO, a mandatory dependency of  
>>> VisIt.
> [...]
>> This seems to be very awkward: a Free Software application (VisIt)
>> which links with a non-free library (Silo) by the same authors!
>> :-(
>>
>>>
>>> AFAIK, this is a show-stopper for packaging VisIT.  We could write  
>>> to
>>> LLNL and see if they
>>> are willing to relinquish this,
>>
>> I think this should definitely be done.
>
> I got in touch with Silo's upstream.
> They quickly replied in an encouraging manner.
> First thing they told me is that Silo is no longer a mandatory
> dependency for VisIt: they say it's been an *optional* dependency for
> quite some time.
>
> Alastair, did you try building VisIt without enabling the Silo plugin?
>
> I think VisIt could be packaged for Debian (main) with the Silo plugin
> disabled, while we wait for upstream to re-license Silo in a DFSG-free
> manner...
> Does it sound feasible?
>
>>
>>> but since I started this ITP, Paraview has been packaged for
>>> Debian, and it does my visualisation needs, so I am no longer
>>> packaging visit.
>>>
>>> Sorry about this,
>
> Alastair, does the above pieces of news change anything with respect  
> to
> your willingness to package VisIt?
>
>
> Please let me know: thanks in advance.
>
> -- 
> New location for my website! Update your bookmarks!
> http://www.inventati.org/frx
> ..................................................... Francesco Poli .
> GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Sat, 07 Nov 2009 22:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sat, 07 Nov 2009 22:03:03 GMT) Full text and rfc822 format available.

Message #135 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Cc: 395573@bugs.debian.org
Subject: Re: Visit: License Problems with SILO
Date: Sat, 7 Nov 2009 22:57:41 +0100
[Message part 1 (text/plain, inline)]
On Sat, 7 Nov 2009 19:18:39 +0000 Alastair McKinstry wrote:

> Hi,
> 
> I contacted VisIt's upstream (via visit-users list) and found the same  
> thing; they are
> correcting the build notes that claim Silo is needed.

Great!  :-)

> 
> I hadn't tested it without Silo. I'm trying to build it now, but Visit  
> 1.12.0 needs
> VTK 5.0.0c  : I tested against vtk 5.2 which is in Debian, and they're  
> incompatible;

Ouch!  :-(
This is unfortunate.

> LLNL ship a VTK 5.0.0.c (with changes) tarball to build VisIt with; it  
> doesn't build
> on Debian, so back to working on the necessary fixes for visit 1.12.0  
> with Debian's VTK.

Do you feel that many invasive changes are needed?

> 
> (Some of these may be in the repo for visit ; they are currently  
> working on visit 2.0
> upstream, but I'm not sure it would be ready for Squeeze).

Where's the repository for VisIt?
I seem to be unable to find it by reading the official website.

Which VCS do they use?

> 
> I need to resign up to ITP visit.

Well, if you do not have time, so be it: thanks anyway for trying to do
it.

Do you have a preliminary package somewhere?
Do you feel it could be used as a base for further hacking?



-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Sun, 22 Nov 2009 23:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 22 Nov 2009 23:12:03 GMT) Full text and rfc822 format available.

Message #140 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-science@lists.debian.org, debian-med@lists.debian.org
Cc: 395573@bugs.debian.org
Subject: Is anyone interested in packaging VisIt?
Date: Mon, 23 Nov 2009 00:10:12 +0100
[Message part 1 (text/plain, inline)]
Hello debian-science and debian-med lists,

is there anyone willing to package VisIt for Debian?

My RFP (see bug #395573) was converted into an ITP, but later was
converted back into an RFP...
I still think VisIt is an interesting visualization and graphical
analysis tool: the Debian distribution would benefit from having it
included, in my opinion.

Please Cc: me *and* the bug on replies, thanks.


-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#395573; Package wnpp. (Mon, 23 Nov 2009 00:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 23 Nov 2009 00:03:06 GMT) Full text and rfc822 format available.

Message #145 received at 395573@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: debian-science@lists.debian.org, debian-med@lists.debian.org, 395573@bugs.debian.org
Subject: Re: Is anyone interested in packaging VisIt?
Date: Mon, 23 Nov 2009 00:48:44 +0100
Am Montag, den 23.11.2009, 00:10 +0100 schrieb Francesco Poli:
> is there anyone willing to package VisIt for Debian?
> 
> My RFP (see bug #395573) was converted into an ITP, but later was
> converted back into an RFP...

I did not know about that but started packaging it a while ago. The
files are surely around somewhere for those interested.

I remember having a lot of trouble with it for several reasons. IIRC it
was some weird build system and included libraries to get rid of. I will
not have any time to have a second look at it before next month, I
guess, but could dig for the files if there's interest. They probably do
not build anything working, I guess.

Even if I give it a second try to package, some co-maintainer would
certainly be welcome; even better, someone who would take over
maintainership.

> Please Cc: me *and* the bug on replies, thanks.

Done.

Best regards
Manuel





Owner recorded as mckinstry@debian.org. Request was from Alastair McKinstry <mckinstry@debian.org> to control@bugs.debian.org. (Mon, 30 Nov 2009 19:06:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: visit -- interactive parallel visualization and graphical analysis tool' from 'RFP: visit -- interactive parallel visualization and graphical analysis tool' Request was from Alastair McKinstry <mckinstry@debian.org> to control@bugs.debian.org. (Mon, 30 Nov 2009 19:06:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sun, 24 Jan 2010 22:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Sun, 24 Jan 2010 22:36:02 GMT) Full text and rfc822 format available.

Message #154 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Cc: 395573@bugs.debian.org
Subject: VisIt ITP: how's the packaging going?
Date: Sun, 24 Jan 2010 23:34:52 +0100
[Message part 1 (text/plain, inline)]
Hi Alastair!

Is there any progress on the packaging of VisIt?
Could you please provide a status update?

-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, mckinstry@debian.org:
Bug#395573; Package wnpp. (Mon, 25 Jan 2010 10:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <mckinstry@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, mckinstry@debian.org. (Mon, 25 Jan 2010 10:36:06 GMT) Full text and rfc822 format available.

Message #159 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: Francesco Poli <frx@firenze.linux.it>, 395573@bugs.debian.org
Subject: Re: Bug#395573: VisIt ITP: how's the packaging going?
Date: Mon, 25 Jan 2010 10:16:50 +0000
On 2010-01-24 22:34, Francesco Poli wrote:
> Hi Alastair!
>
> Is there any progress on the packaging of VisIt?
> Could you please provide a status update?
>
>    
Unfortunately I've been swamped with work (and expect to be so for the 
next 3 months).
I don't expect to get time to get Visit packaged in time for Debian 
squeeze - I'm concentrating
on cleaning up my packages currently in Debian Squeeze, and adding one 
more - oasis,
which is a library needed as a dependency for day-to-day work in my job.

I hope to get back to it after April. If you can step in, please do.

-- 
Alastair McKinstry,<mckinstry@debian.org>       http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Thu, 24 Jun 2010 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Thu, 24 Jun 2010 16:09:04 GMT) Full text and rfc822 format available.

Message #164 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <mckinstry@debian.org>
Cc: 395573@bugs.debian.org
Subject: Re: Bug#395573: VisIt ITP: how's the packaging going?
Date: Thu, 24 Jun 2010 18:03:38 +0200
[Message part 1 (text/plain, inline)]
On Mon, 25 Jan 2010 10:16:50 +0000 Alastair McKinstry wrote:

> On 2010-01-24 22:34, Francesco Poli wrote:
> > Hi Alastair!
> >
> > Is there any progress on the packaging of VisIt?
[...] 
> Unfortunately I've been swamped with work (and expect to be so for the 
> next 3 months).
[...]
> I hope to get back to it after April.
[...]

Hi again,
did you manage to dedicate some time to VisIt?

I noticed that version 2.0.0 has been released.
Does it build with recent VTK?


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sun, 10 Oct 2010 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Sun, 10 Oct 2010 17:48:03 GMT) Full text and rfc822 format available.

Message #169 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 395573@bugs.debian.org
Cc: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Subject: Re: Visit: License Problems with SILO
Date: Sun, 10 Oct 2010 19:43:58 +0200
[Message part 1 (text/plain, inline)]
On Sat, 7 Nov 2009 20:10:07 +0100 Francesco Poli wrote:

> On Sat, 31 Oct 2009 23:34:31 +0100 Francesco Poli wrote:
> 
> [...]
> > On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:
> [...]
> > > I've been looking at packaging SILO, a mandatory dependency of VisIt.
> [...]
> > This seems to be very awkward: a Free Software application (VisIt)
> > which links with a non-free library (Silo) by the same authors!
> > :-(
[...]
> I got in touch with Silo's upstream.
> They quickly replied in an encouraging manner.
> First thing they told me is that Silo is no longer a mandatory
> dependency for VisIt: they say it's been an *optional* dependency for
> quite some time.
[...]
> I think VisIt could be packaged for Debian (main) with the Silo plugin
> disabled, while we wait for upstream to re-license Silo in a DFSG-free
> manner...
> Does it sound feasible?

Breaking news!!!   :-)

After a bit of persuading by some people (including me!), and after a
long re-licensing process, Silo is now Free Software under a 3-clause
BSD license: see the September 20, 2010 release notes at
<https://wci.llnl.gov/codes/silo/release_notes.html>
and the Silo-4.8-bsd*tar.gz downloads at
<https://wci.llnl.gov/codes/silo/downloads.html>

Unfortunately a couple of compression features were not re-licensed and
hence the Free version of Silo lacks some compression capabilities
(again, see the release notes).
Anyway, the rest of the library now does comply with the DFSG!   :-)

This means that we are now looking for someone who volunteers to
package the Silo library!   ;-)


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sun, 10 Oct 2010 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Sun, 10 Oct 2010 19:45:06 GMT) Full text and rfc822 format available.

Message #174 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: Francesco Poli <frx@firenze.linux.it>, 395573@bugs.debian.org
Subject: Re: Bug#395573: Visit: License Problems with SILO
Date: Sun, 10 Oct 2010 20:27:48 +0100
 On 2010-10-10 18:43, Francesco Poli wrote:
> On Sat, 7 Nov 2009 20:10:07 +0100 Francesco Poli wrote:
>
>> On Sat, 31 Oct 2009 23:34:31 +0100 Francesco Poli wrote:
>>
>> [...]
>>> On Sat, 24 Oct 2009 13:20:57 +0100 Alastair McKinstry wrote:
>> [...]
>>>> I've been looking at packaging SILO, a mandatory dependency of VisIt.
>> [...]
>>> This seems to be very awkward: a Free Software application (VisIt)
>>> which links with a non-free library (Silo) by the same authors!
>>> :-(
> [...]
>> I got in touch with Silo's upstream.
>> They quickly replied in an encouraging manner.
>> First thing they told me is that Silo is no longer a mandatory
>> dependency for VisIt: they say it's been an *optional* dependency for
>> quite some time.
> [...]
>> I think VisIt could be packaged for Debian (main) with the Silo plugin
>> disabled, while we wait for upstream to re-license Silo in a DFSG-free
>> manner...
>> Does it sound feasible?
> Breaking news!!!   :-)
>
> After a bit of persuading by some people (including me!), and after a
> long re-licensing process, Silo is now Free Software under a 3-clause
> BSD license: see the September 20, 2010 release notes at
> <https://wci.llnl.gov/codes/silo/release_notes.html>
> and the Silo-4.8-bsd*tar.gz downloads at
> <https://wci.llnl.gov/codes/silo/downloads.html>
>
> Unfortunately a couple of compression features were not re-licensed and
> hence the Free version of Silo lacks some compression capabilities
> (again, see the release notes).
> Anyway, the rest of the library now does comply with the DFSG!   :-)
>
> This means that we are now looking for someone who volunteers to
> package the Silo library!   ;-)
>
>
Congrats!
I've filed the ITP, but the actual packaging may take place after squeeze.
Life is a little busy just now, but I'll get Visit packaged!

- Alastair

-- 
Alastair McKinstry  ,<alastair@sceal.ie>  ,<mckinstry@debian.org>     http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sun, 10 Oct 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Sun, 10 Oct 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #179 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Alastair McKinstry <alastair.mckinstry@sceal.ie>
Cc: 395573@bugs.debian.org
Subject: Re: Bug#395573: Visit: License Problems with SILO
Date: Sun, 10 Oct 2010 22:39:30 +0200
[Message part 1 (text/plain, inline)]
On Sun, 10 Oct 2010 20:27:48 +0100 Alastair McKinstry wrote:

[...]
> Congrats!

Thanks, but I think you should really send congratulations and thanks
to LLNL for freeing Silo: I've just done some little "pushing" in the
right direction...   ;-)

> I've filed the ITP, but the actual packaging may take place after squeeze.

This is terrific news, indeed!   :-)
Thank you very much for volunteering to package Silo!

For those who read this bug report on the BTW web interface, the ITP is
http://bugs.debian.org/599747

> Life is a little busy just now, but I'll get Visit packaged!

Wow!
That's terrific news, for the second time!    :-)

Did you manage to solve the issues with up-to-date versions of VTK?
Does VisIt work with current VTK?


-- 
 http://www.inventati.org/frx/progs/scripts/pdebuild-hooks.html
 Need some pdebuild hook scripts?
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter to 'Francesco Poli <invernomuto@paranoici.org>' from 'Francesco Poli <frx@firenze.linux.it>' Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Sun, 13 Feb 2011 11:09:57 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Wed, 27 Apr 2011 15:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@ichec.ie>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Wed, 27 Apr 2011 15:09:06 GMT) Full text and rfc822 format available.

Message #186 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@ichec.ie>
To: 395573@bugs.debian.org
Subject: Added wiki page on status
Date: Wed, 27 Apr 2011 15:35:51 +0100
Hi,

I've added a wiki page to describe the current state of packaging:
http://wiki.debian.org/DebianScienceVisitPackaging

I will be uploading the work in progress to a VCS within Debian.

Regards,
Alastair

-- 
Alastair McKinstry ,  Computational Scientist<alastair.mckinstry@ichec.ie>
ICHEC, Room 301, IT Building NUI Galway,  Galway , Ireland
tel: +353 91 495946






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Sat, 18 Jun 2011 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Sat, 18 Jun 2011 15:33:07 GMT) Full text and rfc822 format available.

Message #191 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Alastair McKinstry <alastair.mckinstry@ichec.ie>
Cc: 395573@bugs.debian.org
Subject: Re: Added wiki page on status
Date: Sat, 18 Jun 2011 17:05:50 +0200
[Message part 1 (text/plain, inline)]
On Wed, 27 Apr 2011 15:35:51 +0100 Alastair McKinstry wrote:

> Hi,

Hi Alastair!

> 
> I've added a wiki page to describe the current state of packaging:
> http://wiki.debian.org/DebianScienceVisitPackaging
> 
> I will be uploading the work in progress to a VCS within Debian.

I've just taken a look at the wiki page and I must say that I am
impressed!
It seems that things are really progressing now.

I cannot stress enough how much I am happy to read such an update.
Thank you very much for your time and for your efforts: they are
*really* appreciated!

Looking forward to seeing VisIt included in Debian!
Bye.

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Tue, 21 Aug 2012 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Tue, 21 Aug 2012 14:30:03 GMT) Full text and rfc822 format available.

Message #196 received at 395573@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Alastair McKinstry <alastair.mckinstry@ichec.ie>
Cc: 395573@bugs.debian.org
Subject: Re: Added wiki page on status
Date: Tue, 21 Aug 2012 16:27:03 +0200
[Message part 1 (text/plain, inline)]
On Sat, 18 Jun 2011 17:05:50 +0200 Francesco Poli wrote:

> On Wed, 27 Apr 2011 15:35:51 +0100 Alastair McKinstry wrote:
[...]
> > I've added a wiki page to describe the current state of packaging:
> > http://wiki.debian.org/DebianScienceVisitPackaging
> > 
> > I will be uploading the work in progress to a VCS within Debian.
> 
> I've just taken a look at the wiki page and I must say that I am
> impressed!
> It seems that things are really progressing now.
> 
> I cannot stress enough how much I am happy to read such an update.
> Thank you very much for your time and for your efforts: they are
> *really* appreciated!
> 
> Looking forward to seeing VisIt included in Debian!
> Bye.

Hi again Alastair,
any news on this front?

I haven't seen much progress on the Debian wiki page lately...
But a quick look at
http://www.visitusers.org/index.php?title=VTK_Upgrade
seems to suggest that most (if not all) the showstoppers on the VTK side
are gone... Or am I completely off-track?

Have you tested VisIt with libvtk* version 5.8.0-13 (currently in
unstable and testing) or version 5.9.0-1 (currently in experimental)?

Please let me know...


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Wed, 10 Jul 2013 14:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrien Grellier <perso@adrieng.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Wed, 10 Jul 2013 14:21:04 GMT) Full text and rfc822 format available.

Message #201 received at 395573@bugs.debian.org (full text, mbox):

From: Adrien Grellier <perso@adrieng.fr>
To: <395573@bugs.debian.org>
Subject: status of visit packaging
Date: Wed, 10 Jul 2013 16:17:49 +0200
Hi,

Is there any news on the Visit packaging ? Did you find the time to put 
your work on a VCS ?

On the wiki page, I see no blocking stuff to prevent Visit to be 
packaging for Debian, so I wonder if it's still the case.

Regards,

Adrien



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, mckinstry@debian.org:
Bug#395573; Package wnpp. (Wed, 10 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alastair McKinstry <alastair.mckinstry@sceal.ie>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, mckinstry@debian.org. (Wed, 10 Jul 2013 14:36:04 GMT) Full text and rfc822 format available.

Message #206 received at 395573@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <alastair.mckinstry@sceal.ie>
To: Adrien Grellier <perso@adrieng.fr>, 395573@bugs.debian.org
Subject: Re: Bug#395573: status of visit packaging
Date: Wed, 10 Jul 2013 15:27:19 +0100
Hi,

No, I've just been delayed by trying to finish my PhD ...

There was some work in progress to merge / update VTK so that
VisIT/Paraview did not
use their own version, which I will need to revisit.

I should at least put my work in alioth,etc so someone else could take over.

regards
Alastair

On 10/07/2013 15:17, Adrien Grellier wrote:
> Hi,
>
> Is there any news on the Visit packaging ? Did you find the time to
> put your work on a VCS ?
>
> On the wiki page, I see no blocking stuff to prevent Visit to be
> packaging for Debian, so I wonder if it's still the case.
>
> Regards,
>
> Adrien


-- 
Alastair McKinstry  , <alastair@sceal.ie> , <mckinstry@debian.org>    http://blog.sceal.ie

Anyone who believes exponential growth can go on forever in a finite world
is either a madman or an economist - Kenneth Boulter, Economist.




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:34:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.